For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesAPI Reference
GuidesAPI Reference
  • Network API
      • GETList customers
      • GETRetrieve customer
      • GETRetrieve customer grant
      • GETList customer grants
      • POSTRevoke customer grant
      • Customer
      • POSTEvent: grant.created
      • POSTEvent: grant.status.updated
      • POSTEvent: customer.created
      • POSTEvent: customer.updated
      • POSTEvent: customer.deleted
  • Customer Request API
  • Management API
LogoLogo
Network APICustomers

List customers

GET
/customers
GET
/network/v1/customers
$curl https://api.cash.app/network/v1/customers \
> -H "Accept: Accept" \
> -H "X-Region: X-Region" \
> -H "X-Signature: X-Signature" \
> -H "User-Agent: User-Agent"
1{
2 "customers": [
3 {
4 "id": "CST_AQmxh4y_QGoNNIG5NUw0jttqyYedL1LklACQdyJ3H-Vs6WmLtP6A_C7XjQNohvY",
5 "cashtag": "string",
6 "reference_id": "CUST_123"
7 }
8 ],
9 "cursor": "string"
10}

Returns a list of all customers matching the given query parameters who have ever authorized this client to take an action on their account.

This endpoint is rate limited to 50 QPS.

Scopes: CUSTOMERS_READ

Was this page helpful?
Previous

Retrieve customer

Next
Built with

Headers

AcceptstringRequired
X-RegionstringRequired
X-SignaturestringRequired
User-AgentstringRequired

Query parameters

cursorstringOptional
A pagination cursor returned by a previous call to this endpoint. Provide this cursor to retrieve the next set of results for the original query.
limitintegerOptional1-100Defaults to 50
Maximum number of customers to return.
cashtagstringOptional
Filters results to only include customers with a matching Cashtag.

Response

OK
customerslist of objects
List of customers matching the given query parameters.
cursorstring
The pagination cursor to be used in a subsequent request. If empty, this is the final response.

Errors

400
Bad Request Error